/*!
  ReduxPersist.js v6.1.0
  https://github.com/rt2zz/redux-persist#readme
  Released under the MIT License.
*/
!function(e,t){"object"==typeof exports&&"undefined"!=typeof module?t(exports):"function"==typeof define&&define.amd?define(["exports"],t):t((e="undefined"!=typeof globalThis?globalThis:e||self).ReduxPersist={})}(this,(function(e){"use strict";
/*! *****************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */const t="persist:",r="persist/FLUSH",o="persist/REHYDRATE",n="persist/RESYNC",s="persist/PAUSE",i="persist/PERSIST",c="persist/PURGE",u="persist/REGISTER";function a(e,t,r,{debug:o}){const n=Object.assign({},r);if(e&&"object"==typeof e){Object.keys(e).forEach((s=>{"_persist"!==s&&(t[s]===r[s]?n[s]=e[s]:"production"!==process.env.NODE_ENV&&o&&console.log("redux-persist/stateReconciler: sub state for key `%s` modified, skipping.",s))}))}return"production"!==process.env.NODE_ENV&&o&&e&&"object"==typeof e&&console.log(`redux-persist/stateReconciler: rehydrated keys '${Object.keys(e).join(", ")}'`),n}function d(e){const r=e.blacklist||null,o=e.whitelist||null,n=e.transforms||[],s=e.throttle||0,i=`${void 0!==e.keyPrefix?e.keyPrefix:t}${e.key}`,c=e.storage;let u;u=!1===e.serialize?e=>e:"function"==typeof e.serialize?e.serialize:p;const a=e.writeFailHandler||null;let d={};const f={},l=[];let y=null,h=null;function g(){if(0===l.length)return y&&clearInterval(y),void(y=null);const e=l.shift();if(void 0===e)return;const t=n.reduce(((t,r)=>r.in(t,e,d)),d[e]);if(void 0!==t)try{f[e]=u(t)}catch(e){console.error("redux-persist/createPersistoid: error serializing state",e)}else delete f[e];0===l.length&&(Object.keys(f).forEach((e=>{void 0===d[e]&&delete f[e]})),h=c.setItem(i,u(f)).catch(E))}function v(e){return(!o||-1!==o.indexOf(e)||"_persist"===e)&&(!r||-1===r.indexOf(e))}function E(e){a&&a(e),e&&"production"!==process.env.NODE_ENV&&console.error("Error storing data",e)}return{update:e=>{Object.keys(e).forEach((t=>{v(t)&&d[t]!==e[t]&&-1===l.indexOf(t)&&l.push(t)})),Object.keys(d).forEach((t=>{void 0===e[t]&&v(t)&&-1===l.indexOf(t)&&void 0!==d[t]&&l.push(t)})),null===y&&(y=setInterval(g,s)),d=e},flush:()=>{for(;0!==l.length;)g();return h||Promise.resolve()}}}function p(e){return JSON.stringify(e)}function f(e){const r=e.transforms||[],o=`${void 0!==e.keyPrefix?e.keyPrefix:t}${e.key}`,n=e.storage,s=e.debug;let i;return i=!1===e.deserialize?e=>e:"function"==typeof e.deserialize?e.deserialize:l,n.getItem(o).then((e=>{if(e)try{const t={},o=i(e);return Object.keys(o).forEach((e=>{t[e]=r.reduceRight(((t,r)=>r.out(t,e,o)),i(o[e]))})),t}catch(t){throw"production"!==process.env.NODE_ENV&&s&&console.log(`redux-persist/getStoredState: Error restoring data ${e}`,t),t}}))}function l(e){return JSON.parse(e)}function y(e){const r=e.storage,o=`${void 0!==e.keyPrefix?e.keyPrefix:t}${e.key}`;return r.removeItem(o,h)}function h(e){e&&"production"!==process.env.NODE_ENV&&console.error("redux-persist/purgeStoredState: Error purging data stored state",e)}function g(e,t){if("production"!==process.env.NODE_ENV){if(!e)throw new Error("config is required for persistReducer");if(!e.key)throw new Error("key is required in persistor config");if(!e.storage)throw new Error("redux-persist: config.storage is required. Try using one of the provided storage engines `import storage from 'redux-persist/lib/storage'`")}const u=void 0!==e.version?e.version:-1,p=void 0===e.stateReconciler?a:e.stateReconciler,l=e.getStoredState||f,h=void 0!==e.timeout?e.timeout:5e3;let g=null,v=!1,E=!0;const b=e=>(e._persist.rehydrated&&g&&!E&&g.update(e),e);return(a,f)=>{const O=a||{},{_persist:m}=O,N=function(e,t){var r={};for(var o in e)Object.prototype.hasOwnProperty.call(e,o)&&t.indexOf(o)<0&&(r[o]=e[o]);if(null!=e&&"function"==typeof Object.getOwnPropertySymbols){var n=0;for(o=Object.getOwnPropertySymbols(e);n<o.length;n++)t.indexOf(o[n])<0&&Object.prototype.propertyIsEnumerable.call(e,o[n])&&(r[o[n]]=e[o[n]])}return r}(O,["_persist"]);if(f.type===i){let r=!1;const o=(t,o)=>{"production"!==process.env.NODE_ENV&&r&&console.error(`redux-persist: rehydrate for "${e.key}" called after timeout.`,t,o),r||(f.rehydrate(e.key,t,o),r=!0)};if(h&&setTimeout((()=>{!r&&o(void 0,new Error(`redux-persist: persist timed out for persist key "${e.key}"`))}),h),E=!1,g||(g=d(e)),m)return Object.assign(Object.assign({},t(N,f)),{_persist:m});if("function"!=typeof f.rehydrate||"function"!=typeof f.register)throw new Error("redux-persist: either rehydrate or register is not a function on the PERSIST action. This can happen if the action is being replayed. This is an unexplored use case, please open an issue and we will figure out a resolution.");return f.register(e.key),l(e).then((t=>{if(t){(e.migrate||((e,t)=>Promise.resolve(e)))(t,u).then((e=>{o(e)}),(e=>{"production"!==process.env.NODE_ENV&&e&&console.error("redux-persist: migration error",e),o(void 0,e)}))}}),(e=>{o(void 0,e)})),Object.assign(Object.assign({},t(N,f)),{_persist:{version:u,rehydrated:!1}})}if(f.type===c)return v=!0,f.result(y(e)),Object.assign(Object.assign({},t(N,f)),{_persist:m});if(f.type===n)return l(e).then((t=>f.rehydrate(e.key,t,void 0)),(t=>f.rehydrate(e.key,void 0,t))).then((()=>f.result())),Object.assign(Object.assign({},t(N,f)),{_persist:{version:u,rehydrated:!1}});if(f.type===r)return f.result(g&&g.flush()),Object.assign(Object.assign({},t(N,f)),{_persist:m});if(f.type===s)E=!0;else if(f.type===o){if(v)return Object.assign(Object.assign({},N),{_persist:Object.assign(Object.assign({},m),{rehydrated:!0})});if(f.key===e.key){const r=t(N,f),o=f.payload,n=!1!==p&&void 0!==o?p(o,a,r,e):r,s=Object.assign(Object.assign({},n),{_persist:Object.assign(Object.assign({},m),{rehydrated:!0})});return b(s)}}if(!m)return t(a,f);const w=t(N,f);return w===N?a:b(Object.assign(Object.assign({},w),{_persist:m}))}}function v(e){return"Minified Redux error #"+e+"; visit https://redux.js.org/Errors?code="+e+" for the full message or use the non-minified dev environment for full errors. "}var E="function"==typeof Symbol&&Symbol.observable||"@@observable",b=function(){return Math.random().toString(36).substring(7).split("").join(".")},O={INIT:"@@redux/INIT"+b(),REPLACE:"@@redux/REPLACE"+b(),PROBE_UNKNOWN_ACTION:function(){return"@@redux/PROBE_UNKNOWN_ACTION"+b()}};function m(e){if("object"!=typeof e||null===e)return!1;for(var t=e;null!==Object.getPrototypeOf(t);)t=Object.getPrototypeOf(t);return Object.getPrototypeOf(e)===t}function N(e){if(void 0===e)return"undefined";if(null===e)return"null";var t=typeof e;switch(t){case"boolean":case"string":case"number":case"symbol":case"function":return t}if(Array.isArray(e))return"array";if(function(e){return e instanceof Date||"function"==typeof e.toDateString&&"function"==typeof e.getDate&&"function"==typeof e.setDate}(e))return"date";if(function(e){return e instanceof Error||"string"==typeof e.message&&e.constructor&&"number"==typeof e.constructor.stackTraceLimit}(e))return"error";var r=function(e){return"function"==typeof e.constructor?e.constructor.name:null}(e);switch(r){case"Symbol":case"Promise":case"WeakMap":case"WeakSet":case"Map":case"Set":return r}return t.slice(8,-1).toLowerCase().replace(/\s/g,"")}function w(e){var t=typeof e;return"production"!==process.env.NODE_ENV&&(t=N(e)),t}function j(e,t,r){var o;if("function"==typeof t&&"function"==typeof r||"function"==typeof r&&"function"==typeof arguments[3])throw new Error("production"===process.env.NODE_ENV?v(0):"It looks like you are passing several store enhancers to createStore(). This is not supported. Instead, compose them together to a single function. See https://redux.js.org/tutorials/fundamentals/part-4-store#creating-a-store-with-enhancers for an example.");if("function"==typeof t&&void 0===r&&(r=t,t=void 0),void 0!==r){if("function"!=typeof r)throw new Error("production"===process.env.NODE_ENV?v(1):"Expected the enhancer to be a function. Instead, received: '"+w(r)+"'");return r(j)(e,t)}if("function"!=typeof e)throw new Error("production"===process.env.NODE_ENV?v(2):"Expected the root reducer to be a function. Instead, received: '"+w(e)+"'");var n=e,s=t,i=[],c=i,u=!1;function a(){c===i&&(c=i.slice())}function d(){if(u)throw new Error("production"===process.env.NODE_ENV?v(3):"You may not call store.getState() while the reducer is executing. The reducer has already received the state as an argument. Pass it down from the top reducer instead of reading it from the store.");return s}function p(e){if("function"!=typeof e)throw new Error("production"===process.env.NODE_ENV?v(4):"Expected the listener to be a function. Instead, received: '"+w(e)+"'");if(u)throw new Error("production"===process.env.NODE_ENV?v(5):"You may not call store.subscribe() while the reducer is executing. If you would like to be notified after the store has been updated, subscribe from a component and invoke store.getState() in the callback to access the latest state. See https://redux.js.org/api/store#subscribelistener for more details.");var t=!0;return a(),c.push(e),function(){if(t){if(u)throw new Error("production"===process.env.NODE_ENV?v(6):"You may not unsubscribe from a store listener while the reducer is executing. See https://redux.js.org/api/store#subscribelistener for more details.");t=!1,a();var r=c.indexOf(e);c.splice(r,1),i=null}}}function f(e){if(!m(e))throw new Error("production"===process.env.NODE_ENV?v(7):"Actions must be plain objects. Instead, the actual type was: '"+w(e)+"'. You may need to add middleware to your store setup to handle dispatching other values, such as 'redux-thunk' to handle dispatching functions. See https://redux.js.org/tutorials/fundamentals/part-4-store#middleware and https://redux.js.org/tutorials/fundamentals/part-6-async-logic#using-the-redux-thunk-middleware for examples.");if(void 0===e.type)throw new Error("production"===process.env.NODE_ENV?v(8):'Actions may not have an undefined "type" property. You may have misspelled an action type string constant.');if(u)throw new Error("production"===process.env.NODE_ENV?v(9):"Reducers may not dispatch actions.");try{u=!0,s=n(s,e)}finally{u=!1}for(var t=i=c,r=0;r<t.length;r++){(0,t[r])()}return e}function l(e){if("function"!=typeof e)throw new Error("production"===process.env.NODE_ENV?v(10):"Expected the nextReducer to be a function. Instead, received: '"+w(e));n=e,f({type:O.REPLACE})}function y(){var e,t=p;return(e={subscribe:function(e){if("object"!=typeof e||null===e)throw new Error("production"===process.env.NODE_ENV?v(11):"Expected the observer to be an object. Instead, received: '"+w(e)+"'");function r(){e.next&&e.next(d())}return r(),{unsubscribe:t(r)}}})[E]=function(){return this},e}return f({type:O.INIT}),(o={dispatch:f,subscribe:p,getState:d,replaceReducer:l})[E]=y,o}function k(e){"undefined"!=typeof console&&"function"==typeof console.error&&console.error(e);try{throw new Error(e)}catch(e){}}function x(e){for(var t=Object.keys(e),r={},o=0;o<t.length;o++){var n=t[o];"production"!==process.env.NODE_ENV&&void 0===e[n]&&k('No reducer provided for key "'+n+'"'),"function"==typeof e[n]&&(r[n]=e[n])}var s,i,c=Object.keys(r);"production"!==process.env.NODE_ENV&&(s={});try{!function(e){Object.keys(e).forEach((function(t){var r=e[t];if(void 0===r(void 0,{type:O.INIT}))throw new Error("production"===process.env.NODE_ENV?v(12):'The slice reducer for key "'+t+"\" returned undefined during initialization. If the state passed to the reducer is undefined, you must explicitly return the initial state. The initial state may not be undefined. If you don't want to set a value for this reducer, you can use null instead of undefined.");if(void 0===r(void 0,{type:O.PROBE_UNKNOWN_ACTION()}))throw new Error("production"===process.env.NODE_ENV?v(13):'The slice reducer for key "'+t+"\" returned undefined when probed with a random type. Don't try to handle '"+O.INIT+'\' or other actions in "redux/*" namespace. They are considered private. Instead, you must return the current state for any unknown actions, unless it is undefined, in which case you must return the initial state, regardless of the action type. The initial state may not be undefined, but can be null.')}))}(r)}catch(e){i=e}return function(e,t){if(void 0===e&&(e={}),i)throw i;if("production"!==process.env.NODE_ENV){var o=function(e,t,r,o){var n=Object.keys(t),s=r&&r.type===O.INIT?"preloadedState argument passed to createStore":"previous state received by the reducer";if(0===n.length)return"Store does not have a valid reducer. Make sure the argument passed to combineReducers is an object whose values are reducers.";if(!m(e))return"The "+s+' has unexpected type of "'+w(e)+'". Expected argument to be an object with the following keys: "'+n.join('", "')+'"';var i=Object.keys(e).filter((function(e){return!t.hasOwnProperty(e)&&!o[e]}));return i.forEach((function(e){o[e]=!0})),r&&r.type===O.REPLACE?void 0:i.length>0?"Unexpected "+(i.length>1?"keys":"key")+' "'+i.join('", "')+'" found in '+s+'. Expected to find one of the known reducer keys instead: "'+n.join('", "')+'". Unexpected keys will be ignored.':void 0}(e,r,t,s);o&&k(o)}for(var n=!1,u={},a=0;a<c.length;a++){var d=c[a],p=r[d],f=e[d],l=p(f,t);if(void 0===l){var y=t&&t.type;throw new Error("production"===process.env.NODE_ENV?v(14):"When called with an action of type "+(y?'"'+String(y)+'"':"(unknown type)")+', the slice reducer for key "'+d+'" returned undefined. To ignore an action, you must explicitly return the previous state. If you want this reducer to hold no value, you can return null instead of undefined.')}u[d]=l,n=n||l!==f}return(n=n||c.length!==Object.keys(e).length)?u:e}}function _(){}function S(e,t,r,{debug:o}){const n=Object.assign({},r);if(e&&"object"==typeof e){Object.keys(e).forEach((s=>{var i;"_persist"!==s&&(t[s]===r[s]?null===(i=r[s])||Array.isArray(i)||"object"!=typeof i?n[s]=e[s]:n[s]=Object.assign(Object.assign({},n[s]),e[s]):"production"!==process.env.NODE_ENV&&o&&console.log("redux-persist/stateReconciler: sub state for key `%s` modified, skipping.",s))}))}return"production"!==process.env.NODE_ENV&&o&&e&&"object"==typeof e&&console.log(`redux-persist/stateReconciler: rehydrated keys '${Object.keys(e).join(", ")}'`),n}"production"!==process.env.NODE_ENV&&"string"==typeof _.name&&"isCrushed"!==_.name&&k('You are currently using minified code outside of NODE_ENV === "production". This means that you are running a slower development build of Redux. You can use loose-envify (https://github.com/zertosh/loose-envify) for browserify or setting mode to production in webpack (https://webpack.js.org/concepts/mode/) to ensure you have the correct code for your production build.');const P={registry:[],bootstrapped:!1},D=(e=P,t)=>{const r=e.registry.indexOf(t.key),n=[...e.registry];switch(t.type){case u:return Object.assign(Object.assign({},e),{registry:[...e.registry,t.key]});case o:return n.splice(r,1),Object.assign(Object.assign({},e),{registry:n,bootstrapped:0===n.length});default:return e}};e.DEFAULT_VERSION=-1,e.FLUSH=r,e.KEY_PREFIX=t,e.PAUSE=s,e.PERSIST=i,e.PURGE=c,e.REGISTER=u,e.REHYDRATE=o,e.RESYNC=n,e.createMigrate=function(e,t){const{debug:r}=t||{};return function(t,o){if(!t)return"production"!==process.env.NODE_ENV&&r&&console.log("redux-persist: no inbound state, skipping migration"),Promise.resolve(void 0);const n=t._persist&&void 0!==t._persist.version?t._persist.version:-1;if(n===o)return"production"!==process.env.NODE_ENV&&r&&console.log("redux-persist: versions match, noop migration"),Promise.resolve(t);if(n>o)return"production"!==process.env.NODE_ENV&&console.error("redux-persist: downgrading version is not supported"),Promise.resolve(t);const s=Object.keys(e).map((e=>parseInt(e))).filter((e=>o>=e&&e>n)).sort(((e,t)=>e-t));"production"!==process.env.NODE_ENV&&r&&console.log("redux-persist: migrationKeys",s);try{const o=s.reduce(((t,o)=>("production"!==process.env.NODE_ENV&&r&&console.log("redux-persist: running migration for versionKey",o),e[o](t))),t);return Promise.resolve(o)}catch(e){return Promise.reject(e)}}},e.createPersistoid=d,e.createTransform=function(e,t,r={}){const o=r.whitelist||null,n=r.blacklist||null;function s(e){return!(!o||-1!==o.indexOf(e))||!(!n||-1===n.indexOf(e))}return{in:(t,r,o)=>!s(r)&&e?e(t,r,o):t,out:(e,r,o)=>!s(r)&&t?t(e,r,o):e}},e.getStoredState=f,e.persistCombineReducers=function(e,t){return e.stateReconciler=void 0===e.stateReconciler?S:e.stateReconciler,g(e,x(t))},e.persistReducer=g,e.persistStore=function(e,t,a){if("production"!==process.env.NODE_ENV){const e=t||{};["blacklist","whitelist","transforms","storage","keyPrefix","migrate"].forEach((t=>{e[t]&&console.error(`redux-persist: invalid option passed to persistStore: "${t}". You may be incorrectly passing persistConfig into persistStore, whereas it should be passed into persistReducer.`)}))}let d=a||!1;const p=j(D,P,t&&t.enhancer?t.enhancer:void 0),f=e=>{p.dispatch({type:u,key:e})},l=(t,r,n)=>{const s={type:o,payload:r,err:n,key:t};e.dispatch(s),p.dispatch(s),"function"==typeof d&&y.getState().bootstrapped&&(d(),d=!1)},y=Object.assign(Object.assign({},p),{purge:()=>{const t=[];return e.dispatch({type:c,result:e=>{t.push(e)}}),Promise.all(t)},flush:()=>{const t=[];return e.dispatch({type:r,result:e=>{t.push(e)}}),Promise.all(t)},pause:()=>{e.dispatch({type:s})},persist:()=>{e.dispatch({type:i,register:f,rehydrate:l})},resync:()=>new Promise((t=>{e.dispatch({type:n,rehydrate:l,result:()=>t()})}))});return t&&t.manualPersist||y.persist(),y},e.purgeStoredState=y,Object.defineProperty(e,"__esModule",{value:!0})}));
//# sourceMappingURL=redux-persist.min.js.map
